local fn = _gn(0xf213ae8d)
--- Registers a custom rope data with the game. For guidance on what these values should be use common:/data/ropedata.xml as a reference.
-- Returns a rope type which can be passed into [ADD_ROPE](#\_0xE832D760399EB220) to use a custom rope design.
-- Once a rope data is registered it can be used indefinitely and you should take caution not too register too many as to exceed the games limit.
-- @return Returns a non-negative value on success, or -1 if the rope data could not be registered or an invalid argument is passed.
function Global.RegisterRopeData(numSections, radius, diffuseTextureName, normalMapName, distanceMappingScale, uvScaleX, uvScaleY, specularFresnel, specularFalloff, specularIntensity, bumpiness, color)
	return fn(numSections, radius, _ts(diffuseTextureName), _ts(normalMapName), distanceMappingScale, uvScaleX, uvScaleY, specularFresnel, specularFalloff, specularIntensity, bumpiness, color, _ri)
end
